List withdrawals
curl --request GET \
--url https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals \
--header 'Api-Key: <api-key>' \
--header 'Api-Version: <api-version>'import requests
url = "https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals"
headers = {
"Api-Version": "<api-version>",
"Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Api-Version': '<api-version>', 'Api-Key': '<api-key>'}
};
fetch('https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Api-Version: <api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Version", "<api-version>")
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals")
.header("Api-Version", "<api-version>")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Version"] = '<api-version>'
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"nextCursor": "<string>",
"hasMore": true
}{
"code": 123,
"message": "<string>",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}List withdrawals
Withdrawals from the card balance.
GET
/
api
/
v0
/
cards
/
{customerId}
/
withdrawals
List withdrawals
curl --request GET \
--url https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals \
--header 'Api-Key: <api-key>' \
--header 'Api-Version: <api-version>'import requests
url = "https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals"
headers = {
"Api-Version": "<api-version>",
"Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Api-Version': '<api-version>', 'Api-Key': '<api-key>'}
};
fetch('https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Api-Version: <api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Version", "<api-version>")
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals")
.header("Api-Version", "<api-version>")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.endl.io/api/v0/cards/{customerId}/withdrawals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Version"] = '<api-version>'
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"nextCursor": "<string>",
"hasMore": true
}{
"code": 123,
"message": "<string>",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}Authorizations
Partner API key. Must carry the cards permission.
Headers
The API version this request targets. 2026-09.1. See Versioning.
Pattern:
^\d{4}-\d{2}\.\d+$Path Parameters
An individual, a business or an employee (cus_).
Example:
"cus_1Xb7..."
Query Parameters
Filter by status.
Available options:
pending, completed, failed The nextCursor from the previous page.
1 to 100. Default 20.
Required range:
1 <= x <= 100